Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::BufferObject::Extensions Class Reference

Extensions class which encapsulates the querying of extensions and associated function pointers, and provide convenience wrappers to check for the extensions or use the associated functions. More...

Inheritance diagram for osg::BufferObject::Extensions:

[legend]
List of all members.

## Public Member Functions
| Extensions (unsigned int contextID)
| Extensions (const Extensions &rhs)
void | lowestCommonDenominator (const Extensions &rhs)
void | setupGLExtenions (unsigned int contextID)
bool | isBufferObjectSupported () const
void | glGenBuffers (GLsizei n, GLuint *buffers) const
void | glBindBuffer (GLenum target, GLuint buffer) const
void | glBufferData (GLenum target, GLsizeiptrARB size, const GLvoid *data, GLenum usage) const
void | glBufferSubData (GLenum target, GLintptrARB offset, GLsizeiptrARB size, const GLvoid *data) const
void | glDeleteBuffers (GLsizei n, const GLuint *buffers) const
GLboolean | glIsBuffer (GLuint buffer) const
void | glGetBufferSubData (GLenum target, GLintptrARB offset, GLsizeiptrARB size, GLvoid *data) const
GLvoid * | glMapBuffer (GLenum target, GLenum access) const
GLboolean | glUnmapBuffer (GLenum target) const
void | glGetBufferParameteriv (GLenum target, GLenum pname, GLint *params) const
void | glGetBufferPointerv (GLenum target, GLenum pname, GLvoid **params) const
## Protected Types
typedef GLuint * | buffers
typedef GLuint | buffer
typedef GLsizeiptrARB | size
typedef GLsizeiptrARB const GLvoid * | data
typedef GLsizeiptrARB const GLvoid GLenum | usage
typedef GLintptrARB | offset
typedef GLintptrARB GLsizeiptrARB | size
typedef GLintptrARB GLsizeiptrARB const GLvoid * | data
typedef const GLuint * | buffers
typedef GLintptrARB | offset
typedef GLintptrARB GLsizeiptrARB | size
typedef GLintptrARB GLsizeiptrARB GLvoid * | data
typedef GLvoid *APIENTRY * | MapBufferProc (GLenum target, GLenum access)
typedef GLenum | pname
typedef GLenum GLint * | params
typedef GLenum | pname
typedef GLenum GLvoid ** | params
## Protected Member Functions
typedef | void (APIENTRY *GenBuffersProc)(GLsizei n
typedef | void (APIENTRY *BindBufferProc)(GLenum target
typedef | void (APIENTRY *BufferDataProc)(GLenum target
typedef | void (APIENTRY *BufferSubDataProc)(GLenum target
typedef | void (APIENTRY *DeleteBuffersProc)(GLsizei n
typedef | GLboolean (APIENTRY *IsBufferProc)(GLuint buffer)
typedef | void (APIENTRY *GetBufferSubDataProc)(GLenum target
typedef | GLboolean (APIENTRY *UnmapBufferProc)(GLenum target)
typedef | void (APIENTRY *GetBufferParameterivProc)(GLenum target
typedef | void (APIENTRY *GetBufferPointervProc)(GLenum target
## Protected Attributes
GenBuffersProc | _glGenBuffers
BindBufferProc | _glBindBuffer
BufferDataProc | _glBufferData
BufferSubDataProc | _glBufferSubData
DeleteBuffersProc | _glDeleteBuffers
IsBufferProc | _glIsBuffer
GetBufferSubDataProc | _glGetBufferSubData
MapBufferProc | _glMapBuffer
UnmapBufferProc | _glUnmapBuffer
GetBufferParameterivProc | _glGetBufferParameteriv
GetBufferPointervProc | _glGetBufferPointerv

## Detailed Description

Extensions class which encapsulates the querying of extensions and associated function pointers, and provide convenience wrappers to check for the extensions or use the associated functions.

## Member Typedef Documentation

typedef GLuint osg::BufferObject::Extensions::buffer`[protected]`

typedef const GLuint* osg::BufferObject::Extensions::buffers`[protected]`

typedef GLuint* osg::BufferObject::Extensions::buffers`[protected]`

typedef GLintptrARB GLsizeiptrARB GLvoid* osg::BufferObject::Extensions::data`[protected]`

typedef GLintptrARB GLsizeiptrARB const GLvoid* osg::BufferObject::Extensions::data`[protected]`

typedef GLsizeiptrARB const GLvoid* osg::BufferObject::Extensions::data`[protected]`

typedef GLvoid* APIENTRY* osg::BufferObject::Extensions::MapBufferProc(GLenum target, GLenum access)`[protected]`

typedef GLintptrARB osg::BufferObject::Extensions::offset`[protected]`

typedef GLintptrARB osg::BufferObject::Extensions::offset`[protected]`

typedef GLenum GLvoid* * osg::BufferObject::Extensions::params`[protected]`

typedef GLenum GLint* osg::BufferObject::Extensions::params`[protected]`

typedef GLenum osg::BufferObject::Extensions::pname`[protected]`

typedef GLenum osg::BufferObject::Extensions::pname`[protected]`

typedef GLintptrARB GLsizeiptrARB osg::BufferObject::Extensions::size`[protected]`

typedef GLintptrARB GLsizeiptrARB osg::BufferObject::Extensions::size`[protected]`

typedef GLsizeiptrARB osg::BufferObject::Extensions::size`[protected]`

typedef GLsizeiptrARB const GLvoid GLenum osg::BufferObject::Extensions::usage`[protected]`

## Constructor & Destructor Documentation

osg::BufferObject::Extensions::Extensions | ( | unsigned int | contextID | ) |

osg::BufferObject::Extensions::Extensions | ( | const Extensions & | rhs | ) |

## Member Function Documentation

void osg::BufferObject::Extensions::glBindBuffer | ( | GLenum | target,
|  | GLuint | buffer
| ) | const

typedef osg::BufferObject::Extensions::GLboolean | ( | APIENTRY * | UnmapBufferProc | ) | `[protected]`

typedef osg::BufferObject::Extensions::GLboolean | ( | APIENTRY * | IsBufferProc | ) | `[protected]`

void osg::BufferObject::Extensions::glBufferData | ( | GLenum | target,
|  | GLsizeiptrARB | size,
|  | const GLvoid * | data,
|  | GLenum | usage
| ) | const

void osg::BufferObject::Extensions::glBufferSubData | ( | GLenum | target,
|  | GLintptrARB | offset,
|  | GLsizeiptrARB | size,
|  | const GLvoid * | data
| ) | const

void osg::BufferObject::Extensions::glDeleteBuffers | ( | GLsizei | n,
|  | const GLuint * | buffers
| ) | const

void osg::BufferObject::Extensions::glGenBuffers | ( | GLsizei | n,
|  | GLuint * | buffers
| ) | const

void osg::BufferObject::Extensions::glGetBufferParameteriv | ( | GLenum | target,
|  | GLenum | pname,
|  | GLint * | params
| ) | const

void osg::BufferObject::Extensions::glGetBufferPointerv | ( | GLenum | target,
|  | GLenum | pname,
|  | GLvoid ** | params
| ) | const

void osg::BufferObject::Extensions::glGetBufferSubData | ( | GLenum | target,
|  | GLintptrARB | offset,
|  | GLsizeiptrARB | size,
|  | GLvoid * | data
| ) | const

GLboolean osg::BufferObject::Extensions::glIsBuffer | ( | GLuint | buffer | ) | const

GLvoid* osg::BufferObject::Extensions::glMapBuffer | ( | GLenum | target,
|  | GLenum | access
| ) | const

GLboolean osg::BufferObject::Extensions::glUnmapBuffer | ( | GLenum | target | ) | const

bool osg::BufferObject::Extensions::isBufferObjectSupported | ( |  | ) | const`[inline]`

void osg::BufferObject::Extensions::lowestCommonDenominator | ( | const Extensions & | rhs | ) |

void osg::BufferObject::Extensions::setupGLExtenions | ( | unsigned int | contextID | ) |

typedef osg::BufferObject::Extensions::void | ( | APIENTRY * | GetBufferPointervProc | ) | `[protected]`

typedef osg::BufferObject::Extensions::void | ( | APIENTRY * | GetBufferParameterivProc | ) | `[protected]`

typedef osg::BufferObject::Extensions::void | ( | APIENTRY * | GetBufferSubDataProc | ) | `[protected]`

typedef osg::BufferObject::Extensions::void | ( | APIENTRY * | DeleteBuffersProc | ) | `[protected]`

typedef osg::BufferObject::Extensions::void | ( | APIENTRY * | BufferSubDataProc | ) | `[protected]`

typedef osg::BufferObject::Extensions::void | ( | APIENTRY * | BufferDataProc | ) | `[protected]`

typedef osg::BufferObject::Extensions::void | ( | APIENTRY * | BindBufferProc | ) | `[protected]`

typedef osg::BufferObject::Extensions::void | ( | APIENTRY * | GenBuffersProc | ) | `[protected]`

## Member Data Documentation

BindBufferProc osg::BufferObject::Extensions::_glBindBuffer`[protected]`

BufferDataProc osg::BufferObject::Extensions::_glBufferData`[protected]`

BufferSubDataProc osg::BufferObject::Extensions::_glBufferSubData`[protected]`

DeleteBuffersProc osg::BufferObject::Extensions::_glDeleteBuffers`[protected]`

GenBuffersProc osg::BufferObject::Extensions::_glGenBuffers`[protected]`

GetBufferParameterivProc osg::BufferObject::Extensions::_glGetBufferParameteriv`[protected]`

GetBufferPointervProc osg::BufferObject::Extensions::_glGetBufferPointerv`[protected]`

GetBufferSubDataProc osg::BufferObject::Extensions::_glGetBufferSubData`[protected]`

IsBufferProc osg::BufferObject::Extensions::_glIsBuffer`[protected]`

MapBufferProc osg::BufferObject::Extensions::_glMapBuffer`[protected]`

UnmapBufferProc osg::BufferObject::Extensions::_glUnmapBuffer`[protected]`

The documentation for this class was generated from the following file:

- BufferObject